Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr286.taglib
Class RenderURL286Tag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag
              org.jboss.portal.portlet.impl.jsr168.taglib.GenerateURLTag
                  org.jboss.portal.portlet.impl.jsr286.taglib.GenerateURL286Tag
                      org.jboss.portal.portlet.impl.jsr286.taglib.RenderURL286Tag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class RenderURL286Tag

extends GenerateURL286Tag

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `typeParameter`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RenderURL286Tag()`

Method Summary
`protected javax.portlet.BaseURL` | `generateURL()`
`protected java.lang.String` | `getTypeValue()` Get the type - action or render - from the implementing subclass

Methods inherited from class org.jboss.portal.portlet.impl.jsr286.taglib.GenerateURL286Tag
`addProperty, clearPreviousTag, getBasePortletEnvironmentAndURL, getCopyCurrentRenderParameters, getEscapeXml, isEscapeXml, removeTagParametersWithEmptyValue, setCopyCurrentRenderParameters, setCopyCurrentRenderParameters, setEscapeXml, writeURL`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.taglib.GenerateURLTag
`addParameter, doEndTag, doStartTag, getPortletMode, getSecure, getURLParameters, getVar, getWindowState, setPortletMode, setPortletMode, setSecure, setSecure, setVar, setWindowState, setWindowState`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag
`getActionRequest, getActionResponse, getConfig, getDispatchedRequest, getEventRequest, getEventResponse, getInvocation, getPortletPreferences, getPortletPreferenceValues, getPortletRequest, getPortletResponse, getPortletSessionScope, getRenderRequest, getRenderResponse, getResourceRequest, getResourceResponse, getSession`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeParameter

    public static java.lang.String typeParameter

Constructor Detail

### RenderURL286Tag

    public RenderURL286Tag()

Method Detail

### getTypeValue

    protected java.lang.String getTypeValue()

  Description copied from class: `GenerateURLTag`
  Get the type - action or render - from the implementing subclass

  Specified by:
    `getTypeValue` in class `GenerateURLTag`
  Returns:
    the value for the "type" portal parameter

### generateURL

    protected javax.portlet.BaseURL generateURL()
                                         throws java.lang.Exception

  Overrides:
    `generateURL` in class `GenerateURL286Tag`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.